#ifndef		__ad9854__H
#define		__ad9854__H

extern struct AD9854_bit 
{
	unsigned SDO_active:1;
	unsigned LSB_frist:1;
	unsigned nc4:2;
	unsigned OSK_INT:1;
	unsigned OSK_EN:1;
	unsigned Bypass_inv_sinc:1;
	unsigned nc3:1;	
	
	unsigned I_E_update_clock:1;
	unsigned Mode:3;
	unsigned SRC_QDAC:1;
	unsigned Triangle:1;
	unsigned CLR_ACC2:1;
	unsigned CLR_ACC1:1;
	
	unsigned Ref_Mult:5;
	unsigned Bypass_PLL:1;
	unsigned PLL_range:1;
	unsigned nc2:1;
	
	unsigned DIG_PD:1;
	unsigned DAC_PD:1;
	unsigned QDAC_PD:1;
	unsigned nc1:1;
	unsigned Comp_PD:1;
	unsigned nc:3;
}AD9854_control_byte;

void send(unsigned char tmp_d,unsigned char tmp_t);
void send_9854(unsigned char address,unsigned char *data);
void init_9854(void);
void delay_long(unsigned long aa);
void AD9854_phase1_adjust(unsigned int phase_value);
void AD9854_phase2_adjust(unsigned int phase_value);
void AD9854_frequency1_tuning_word(double frequency_value);
void AD9854_frequency2_tuning_word(double frequency_value);
void AD9854_delta_frequency_word(double delta_frequency_value);
void AD9854_update_clock(unsigned long update_clock_value);
void AD9854_ramp_rate_clock(unsigned long clock_value);
void AD9854_control_bit(struct AD9854_bit control_bit_value);
void AD9854_I_gain(unsigned int gain_value);
void AD9854_Q_gain(unsigned int gain_value);
void AD9854_shaped_keying_ramp_rate(unsigned char ramp_rate_value);
void AD9854_QDAC(unsigned int QDAC_value);
#endif